%define gclver	2.6.7

Summary:	GNU Common Lisp
Name:		gcl
Version:	%{gclver}
Release:	%mkrel 6
License:	GPLv2+
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Patch0:		gcl-%{version}-conf.patch
URL:		http://savannah.gnu.org/projects/gcl
BuildRequires:	binutils-devel
BuildRequires:  tetex-dvipdfm
BuildRequires:	tcl
BuildRequires:	tcl-devel
BuildRequires:	tk
BuildRequires:	tk-devel
BuildRequires:	emacs-X11
BuildRequires:  texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GCL is a Common Lisp currently compliant with the CLtL1 standard. Lisp
compilation produces native code through the intermediary of the system's C
compiler, from which GCL derives efficient performance and facile
portability. Currently uses TCL/Tk as GUI.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .config

%build
%configure2_5x --enable-notify=no --enable-ansi --enable-emacsdir=%{_datadir}/emacs/site-lisp
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
(cd info
make gcl-tk.dvi gcl-si.dvi
dvipdfm gcl-tk.dvi
dvipdfm gcl-si.dvi)
%makeinstall DESTDIR=%{buildroot} \
	prefix=%{_prefix}
rm -f %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_prefix}/lib/gcl-%{gclver}/info
rm -rf %{buildroot}%{_datadir}/doc
install -m 644 man/man1/gcl.1 %{buildroot}%{_mandir}/man1
find %{buildroot}%{_datadir} -type f -perm 640 -print0 | xargs -0 chmod 644 || :
find %{buildroot}%{_datadir} -type f -perm 750 -print0 | xargs -0 chmod 644 || :
find %{buildroot}%{_prefix}/lib/gcl-%{version} -type f -perm 750 -print0 | xargs -0 chmod 755 || :
find %{buildroot}%{_prefix}/lib/gcl-%{version} -type f -perm 640 -print0 | xargs -0 chmod 644 || :
chmod 644 readme faq ChangeLog

%post
%_install_info gcl.info
%_install_info gcl-si.info
%_install_info gcl-tk.info

%postun
%_remove_install_info gcl.info
%_remove_install_info gcl-si.info
%_remove_install_info gcl-tk.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme faq ChangeLog info/*.pdf
%dir %{_prefix}/lib/gcl-%{gclver}
%{_bindir}/gcl
%{_prefix}/lib/gcl-%{gclver}/cmpnew
%{_prefix}/lib/gcl-%{gclver}/gcl-tk
%{_prefix}/lib/gcl-%{gclver}/h
%{_prefix}/lib/gcl-%{gclver}/lsp
%{_prefix}/lib/gcl-%{gclver}/unixport
%{_prefix}/lib/gcl-%{gclver}/clcs
%{_prefix}/lib/gcl-%{gclver}/pcl
%{_datadir}/emacs/*
%{_infodir}/gcl*.info*
%{_mandir}/man1/*



%changelog
* Mon Jan 07 2008 Adam Williamson <awilliamson@mandriva.com> 2.6.7-6mdv2008.1
+ Revision: 146200
- rebuild for new tcl/tk and new era
- don't run autoconf any more. this makes most of the patch a no-op, but most of it is not actually useful. replace the emacs part of it with a configure option
- clean spec
- new license policy, correct license (compiled app is GPL, not LGPL)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 15 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.6.7-5mdv2007.1
+ Revision: 144128
- Rebuilt because corrupted RPM (bug #29516).

* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.6.7-4mdv2007.1
+ Revision: 122448
- BuildRequires: automake1.7.
- Added Patch0 for configuring again.
- Import gcl

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.7-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Oct 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.6.7-2mdk
- Fix BuildRequires
- %%mkrel

* Wed Aug 31 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.6.7-1mdk
- Release 2.6.7.

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.6.7-0.cvs20050803.1mdk
- Release 2.6.7pre (current CVS).

* Fri Apr 29 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.6-4mdk
- Added emacs to BuildRequires.

* Mon Apr 18 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.6-3mdk
- Added binutils-devel to Requires.
- Added fixes to SPEC file for building under X86-64.

* Wed Feb 16 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.6-2mdk
- Enabled ansi.

* Wed Feb 16 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.6-1mdk
- Release: 2.6.6.

* Tue Oct 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.5-2mdk
- Fix permissions.

* Tue Oct 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.5-1mdk
- Release 2.6.5.

* Tue Jul 20 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.6.3-1mdk
- Release 2.6.3.

